EnrichmentAppendRules appends new rules to an existing enrichment configuration in the workspace.
EnrichmentAppendRules appends new rules to an existing enrichment configuration in the workspace.
POST
/
enrichments/appendrulesSuccess
EnrichmentCreate creates a new enrichment configuration in the workspace.
EnrichmentCreate creates a new enrichment configuration in the workspace.
POST
/
enrichments/createRequest Body
application/jsonRequireddescriptionstring
displayNamestring
isActiveboolean
namestring
pathstring
rulesarray<object>
sourcesarray<string>
workspaceIDstring
Success
EnrichmentDelete deletes an enrichment configuration from the workspace.
EnrichmentDelete deletes an enrichment configuration from the workspace.
DELETE
/
enrichments/deleteQuery Parameters
idstring
Success
EnrichmentUpdateEnabled operation
POST
/
enrichments/enable/toggleSuccess
EnrichmentGet returns an enrichment configuration in the workspace by ID.
EnrichmentGet returns an enrichment configuration in the workspace by ID.
GET
/
enrichments/getQuery Parameters
idstring
Success
EnrichmentList lists the enrichment configurations in the workspace.
EnrichmentList lists the enrichment configurations in the workspace.
GET
/
enrichments/listSuccess
EnrichmentUpdate updates an existing enrichment configuration in the workspace, preserving existing rules if none are provided.
EnrichmentUpdate updates an existing enrichment configuration in the workspace, preserving existing rules if none are provided.
POST
/
enrichments/updateRequest Body
application/jsonRequireddescriptionstring
displayNamestring
idstring
isActiveboolean
namestring
pathstring
rulesarray<object>
sourcesarray<string>
workspaceIDstring
Success